org.apache.olingo.odata2.jpa.processor.ref.model

## Class SalesOrderHeader

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.ref.model.SalesOrderHeader

-     @Entity
      public class SalesOrderHeader
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SalesOrderHeader()`
    `SalesOrderHeader(Calendar creationDate, String currencyCode, double netAmount, String deliveryStatus, char[] shortText, Character[] longText)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `defaultValues()`
    `Calendar` | `getCreationDate()`
    `String` | `getCurrencyCode()`
    `Customer` | `getCustomer()`
    `String` | `getDeliveryStatus()`
    `double` | `getGrossAmount()`
    `Character[]` | `getLongText()`
    `double` | `getNetAmount()`
    `List<Note>` | `getNotes()`
    `Set<SalesOrderItem>` | `getSalesOrderItem()`
    `char[]` | `getShortText()`
    `long` | `getSoId()`
    `Character` | `getStatus()`
    `void` | `setCreationDate(Calendar creationDate)`
    `void` | `setCurrencyCode(String currencyCode)`
    `void` | `setCustomer(Customer customer)`
    `void` | `setDeliveryStatus(String deliveryStatus)`
    `void` | `setGrossAmount(double grossAmount)`
    `void` | `setLongText(Character[] longText)`
    `void` | `setNetAmount(double netAmount)`
    `void` | `setNotes(List<Note> notes)`
    `void` | `setSalesOrderItem(Set<SalesOrderItem> salesOrderItem)`
    `void` | `setShortText(char[] shortText)`
    `void` | `setSoId(long soId)`
    `void` | `setStatus(Character status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SalesOrderHeader

          public SalesOrderHeader()

    - #### SalesOrderHeader

          public SalesOrderHeader(Calendar creationDate,
                                  String currencyCode,
                                  double netAmount,
                                  String deliveryStatus,
                                  char[] shortText,
                                  Character[] longText)

  - ### Method Detail

    - #### getCustomer

          public Customer getCustomer()

    - #### setCustomer

          public void setCustomer(Customer customer)

    - #### getStatus

          public Character getStatus()

    - #### setStatus

          public void setStatus(Character status)

    - #### getSoId

          public long getSoId()

    - #### setSoId

          public void setSoId(long soId)

    - #### getCreationDate

          public Calendar getCreationDate()

    - #### setCreationDate

          public void setCreationDate(Calendar creationDate)

    - #### getCurrencyCode

          public String getCurrencyCode()

    - #### setCurrencyCode

          public void setCurrencyCode(String currencyCode)

    - #### getDeliveryStatus

          public String getDeliveryStatus()

    - #### setDeliveryStatus

          public void setDeliveryStatus(String deliveryStatus)

    - #### getGrossAmount

          public double getGrossAmount()

    - #### setGrossAmount

          public void setGrossAmount(double grossAmount)

    - #### getNetAmount

          public double getNetAmount()

    - #### setNetAmount

          public void setNetAmount(double netAmount)

    - #### getSalesOrderItem

          public Set<SalesOrderItem> getSalesOrderItem()

    - #### setSalesOrderItem

          public void setSalesOrderItem(Set<SalesOrderItem> salesOrderItem)

    - #### getNotes

          public List<Note> getNotes()

    - #### setNotes

          public void setNotes(List<Note> notes)

    - #### getShortText

          public char[] getShortText()

    - #### setShortText

          public void setShortText(char[] shortText)

    - #### getLongText

          public Character[] getLongText()

    - #### setLongText

          public void setLongText(Character[] longText)

    - #### defaultValues

          public void defaultValues()

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.